#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define pb push_back
#define pf push_front
ll n,k,x;


int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    cin >> n >> k >> x;

    if(n==1){
        cout << 1;
        return 0;
    }

    if(k==3){
        if(n==3){
            cout << 1  << ' ' << 1+x << ' ' << 1+x+x;
        }
        for(int i=1;i<=n-4;i++)cout << x<< ' ';
        cout <<1 << ' ' << 1+x << ' ' << 1+x << ' ' << 1+x;
        return 0;

    }
    cout << -1;
    return 0;
}